Bug 497766 - Review Request: paintdotnet - A mono port of the Paint.NET image editor
Review Request: paintdotnet - A mono port of the Paint.NET image editor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-Legal
  Show dependency treegraph
 
Reported: 2009-04-27 00:34 EDT by Eric Moret
Modified: 2009-06-07 23:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-07 23:33:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review-


Attachments (Terms of Use)

  None (edit)
Description Eric Moret 2009-04-27 00:34:05 EDT
Spec URL: ftp://ftp.zouric.com/public/linux/paintdotnet/paintdotnet.spec
SRPM URL: ftp://ftp.zouric.com/public/linux/paintdotnet/paintdotnet-0.1.63-0.6.fc10.src.rpm
Description:
Paint.NET is an image and photo editing software. It features an intuitive and
innovative user interface with support for layers, unlimited undo, special
effects, and a wide variety of useful and powerful tools. An active and growing
online community provides friendly help, tutorials, and plugins.
Comment 1 Susi Lehtola 2009-04-27 01:52:57 EDT
The license for logos and text is NOT OKAY:
http://www.getpaint.net/license.html
http://fedoraproject.org/wiki/Licensing#Bad_Licenses_2

Raising FE_LEGAL.
Comment 2 Susi Lehtola 2009-04-27 01:54:45 EDT
Also, the Fedora wishlist states the package as non-valid for inclusion.
Comment 3 Orcan Ogetbil 2009-04-27 01:58:27 EDT
FE-Legal topic:
https://www.redhat.com/archives/fedora-legal-list/2009-February/msg00024.html

Request from the Fedora art team to replace the artwork:
https://fedoraproject.org/wiki/Artwork/DesignService#Paint.NET_icon_replacement

I think these will solve the issue.
Comment 4 Susi Lehtola 2009-04-27 02:07:54 EDT
There are also other things that are under a non-free license:

* Exception 2: Paint.NET makes use of certain text and graphic resources that it comes with (e.g., toolbar icon graphics, text for menu items and the status bar). These are collectively referred to as "resource assets" and are defined to include the contents of files installed by Paint.NET, or included in its source code distribution, that have a .RESOURCES, .RESX, or .PNG file extension. This also includes embedded resource files within the PaintDotNet.Resources.dll installed file. These "resource assets" are covered by the Creative Commons Attribution-NonCommercial-NoDerivs 2.5 license which is detailed here:  http://creativecommons.org/licenses/by-nc-nd/2.5/ . However, permission is granted to create and distribute derivative works of the "resource assets" for the sole purpose of providing a translation to a language other than English. Some "resource assets" are included in unmodified form from external icon or image libraries and are still covered by their original, respective licenses (e.g., "Silk", "Visual Studio 2005 Image Library").
Comment 5 Orcan Ogetbil 2009-04-27 02:33:40 EDT
Jussi, thanks for your investigation.

But is there anything else that is nonfree other than what the art team is working on? Did you look at the link I gave at all?
Comment 6 Mamoru TASAKA 2009-04-27 02:57:28 EDT
So the logo and icon artworks under CC-BY-NC-ND are now
_already_ replaced or replacing them with free ones is
now _under working_ ? If it is still under working, this
cannot be imported into Fedora.
Comment 7 Susi Lehtola 2009-04-27 02:58:50 EDT
The package doesn't build on x86_64, failing at

RPM build errors:
    File not found: /builddir/build/BUILDROOT/paintdotnet-0.1.63-0.6.fc10.x86_64
/usr/lib64/paintdotnet
Child returncode was: 1

The file is in /usr/lib.
Comment 8 Susi Lehtola 2009-04-27 03:01:15 EDT
Files that fall under exception 2:


paintdotnet-0.1.63/HistoryForm.resx
paintdotnet-0.1.63/SavePaletteDialog.resx
paintdotnet-0.1.63/LayerForm.resx
paintdotnet-0.1.63/Resources.mui/resx/PaintDotNet.Strings.3.FR.resx
paintdotnet-0.1.63/Resources.mui/resx/PaintDotNet.Strings.3.KO.resx
paintdotnet-0.1.63/Resources.mui/resx/PaintDotNet.Strings.3.PT-BR.resx
paintdotnet-0.1.63/Resources.mui/resx/PaintDotNet.Strings.3.ES.resx
paintdotnet-0.1.63/Resources.mui/resx/PaintDotNet.Strings.3.ZH-CN.resx
paintdotnet-0.1.63/Resources.mui/resx/PaintDotNet.Strings.3.JA.resx
paintdotnet-0.1.63/Resources.mui/resx/PaintDotNet.Strings.3.DE.resx
paintdotnet-0.1.63/UnsavedChangesDialog.resx
paintdotnet-0.1.63/ChooseToolDefaultsDialog.resx
paintdotnet-0.1.63/PdnLib/CommandLink.resx
paintdotnet-0.1.63/ColorsForm.resx
paintdotnet-0.1.63/AboutDialog.resx
paintdotnet-0.1.63/Resources/Images/RoundedEdgeLR.png
paintdotnet-0.1.63/Resources/Images/RoundedEdgeUR.png
paintdotnet-0.1.63/Resources/Images/RoundedEdgeUL.png
paintdotnet-0.1.63/Resources/Images/Icon50x50.png
paintdotnet-0.1.63/Resources/Images/TransparentLogo.png
paintdotnet-0.1.63/Resources/Images/RoundedEdgeLL.png
paintdotnet-0.1.63/Resources/Images/AnchorChooserControl.AnchorImage.png
paintdotnet-0.1.63/Resources/Images/Banner.png
paintdotnet-0.1.63/Resources/Icons/MenuWindowLayersIcon.png
paintdotnet-0.1.63/Resources/Icons/PolarInversionEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuEditFillSelectionIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuEditInvertSelectionIcon.png
paintdotnet-0.1.63/Resources/Icons/FrostedGlassEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpPluginsIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersFlipHorizontalIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuViewZoomToSelectionIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuViewZoomInIcon.png
paintdotnet-0.1.63/Resources/Icons/FontItalicIcon.png
paintdotnet-0.1.63/Resources/Icons/TextAlignCenterIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageResizeIcon.png
paintdotnet-0.1.63/Resources/Icons/RedEyeRemoveEffect.png
paintdotnet-0.1.63/Resources/Icons/EmbossEffect.png
paintdotnet-0.1.63/Resources/Icons/TileEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuFilePrintIcon.png
paintdotnet-0.1.63/Resources/Icons/LinearClampedGradientIcon.png
paintdotnet-0.1.63/Resources/Icons/MotionBlurEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuFileOpenIcon.png
paintdotnet-0.1.63/Resources/Icons/HistoryFastForwardIcon.png
paintdotnet-0.1.63/Resources/Icons/TextAlignLeftIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuEditRedoIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpForumIcon.png
paintdotnet-0.1.63/Resources/Icons/WarningIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageRotate90CCWIcon.png
paintdotnet-0.1.63/Resources/Icons/ColorAddOverlay.png
paintdotnet-0.1.63/Resources/Icons/GradientToolIcon.png
paintdotnet-0.1.63/Resources/Icons/BulgeEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuWindowToolsIcon.png
paintdotnet-0.1.63/Resources/Icons/AllColorChannelsIcon.png
paintdotnet-0.1.63/Resources/Icons/ShapeBothIcon.png
paintdotnet-0.1.63/Resources/Icons/FontUnderlineIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageCropIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuViewGridIcon.png
paintdotnet-0.1.63/Resources/Icons/ShapeInteriorIcon.png
paintdotnet-0.1.63/Resources/Icons/MoveToolIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuFileCloseIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuFileAcquireFromScannerOrCameraIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageRotate180CWIcon.png
paintdotnet-0.1.63/Resources/Icons/ColorPickerToolIcon.png
paintdotnet-0.1.63/Resources/Icons/LineToolIcon.png
paintdotnet-0.1.63/Resources/Icons/todo.png
paintdotnet-0.1.63/Resources/Icons/CloudsEffect.png
paintdotnet-0.1.63/Resources/Icons/ReliefEffect.png
paintdotnet-0.1.63/Resources/Icons/HueAndSaturationAdjustment.png
paintdotnet-0.1.63/Resources/Icons/FontBoldIcon.png
paintdotnet-0.1.63/Resources/Icons/HistoryRewindIcon.png
paintdotnet-0.1.63/Resources/Icons/BlendingEnabledIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpDonateIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpSendFeedbackIcon.png
paintdotnet-0.1.63/Resources/Icons/RadialGradientIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersDeleteLayerIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuEditCutIcon.png
paintdotnet-0.1.63/Resources/Icons/SwapIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuViewRulersIcon.png
paintdotnet-0.1.63/Resources/Icons/SelectionIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuEditCopyIcon.png
paintdotnet-0.1.63/Resources/Icons/MoveSelectionToolIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageRotate270CCWIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageFlipVerticalIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuFileAcquireFromClipboardIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpCheckForUpdatesIcon.png
paintdotnet-0.1.63/Resources/Icons/MinusButtonIcon.png
paintdotnet-0.1.63/Resources/Icons/EraserToolIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersAddNewLayerIcon.png
paintdotnet-0.1.63/Resources/Icons/AntiAliasingDisabledIcon.png
paintdotnet-0.1.63/Resources/Icons/CursorXYIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuViewZoomToWindowIcon.png
paintdotnet-0.1.63/Resources/Icons/PaintBucketIcon.png
paintdotnet-0.1.63/Resources/Icons/ShapeOutlineIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuFileSaveIcon.png
paintdotnet-0.1.63/Resources/Icons/RadialBlurEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuEditDeselectIcon.png
paintdotnet-0.1.63/Resources/Icons/UnsavedChangesDialog.CancelButton.png
paintdotnet-0.1.63/Resources/Icons/LassoSelectToolIcon.png
paintdotnet-0.1.63/Resources/Icons/RecoloringToolIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageFlipHorizontalIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuViewActualSizeIcon.png
paintdotnet-0.1.63/Resources/Icons/EdgeDetectEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuEditEraseSelectionIcon.png
paintdotnet-0.1.63/Resources/Icons/RectangleToolIcon.png
paintdotnet-0.1.63/Resources/Icons/RotateZoomIcon.png
paintdotnet-0.1.63/Resources/Icons/AutoLevel.png
paintdotnet-0.1.63/Resources/Icons/LevelsEffect.png
paintdotnet-0.1.63/Resources/Icons/CloneStampToolIcon.png
paintdotnet-0.1.63/Resources/Icons/PanToolIcon.png
paintdotnet-0.1.63/Resources/Icons/DesaturateEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuImageRotate90CWIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersMergeLayerDownIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuWindowHistoryIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuFileSaveAsIcon.png
paintdotnet-0.1.63/Resources/Icons/SharpenEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuWindowOpenMdiListIcon.png
paintdotnet-0.1.63/Resources/Icons/TextToolIcon.png
paintdotnet-0.1.63/Resources/Icons/ColorPalettes.png
paintdotnet-0.1.63/Resources/Icons/MenuEditPasteInToNewImageIcon.png
paintdotnet-0.1.63/Resources/Icons/LinearDiamondGradientIcon.png
paintdotnet-0.1.63/Resources/Icons/TwistEffect.png
paintdotnet-0.1.63/Resources/Icons/CurvesEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuEditPasteInToNewLayerIcon.png
paintdotnet-0.1.63/Resources/Icons/RectangleSelectToolIcon.png
paintdotnet-0.1.63/Resources/Icons/EllipseToolIcon.png
paintdotnet-0.1.63/Resources/Icons/BlackAndWhiteIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersLayerPropertiesIcon.png
paintdotnet-0.1.63/Resources/Icons/CancelIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageCanvasSizeIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageRotate270CWIcon.png
paintdotnet-0.1.63/Resources/Icons/OutlineEffectIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersFlipVerticalIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuWindowColorsIcon.png
paintdotnet-0.1.63/Resources/Icons/SavePaletteIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuFileNewIcon.png
paintdotnet-0.1.63/Resources/Icons/GlowEffect.png
paintdotnet-0.1.63/Resources/Icons/ConicalGradientIcon.png
paintdotnet-0.1.63/Resources/Icons/ImageSizeIcon.png
paintdotnet-0.1.63/Resources/Icons/RoundedRectangleToolIcon.png
paintdotnet-0.1.63/Resources/Icons/InvertColorsEffect.png
paintdotnet-0.1.63/Resources/Icons/ImageFromDiskIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersImportFromFileIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpTutorialsIcon.png
paintdotnet-0.1.63/Resources/Icons/ZoomToolIcon.png
paintdotnet-0.1.63/Resources/Icons/BlurEffect.png
paintdotnet-0.1.63/Resources/Icons/FreeformShapeToolIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuViewZoomOutIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageFlattenIcon.png
paintdotnet-0.1.63/Resources/Icons/BlendingOverwriteIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuImageRotate180CCWIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuEditPasteIcon.png
paintdotnet-0.1.63/Resources/Icons/AlphaChannelOnlyIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpLanguageIcon.png
paintdotnet-0.1.63/Resources/Icons/EllipseSelectToolIcon.png
paintdotnet-0.1.63/Resources/Icons/AntiAliasingEnabledIcon.png
paintdotnet-0.1.63/Resources/Icons/PencilToolIcon.png
paintdotnet-0.1.63/Resources/Icons/OilPaintingEffect.png
paintdotnet-0.1.63/Resources/Icons/MagicWandToolIcon.png
paintdotnet-0.1.63/Resources/Icons/PaintBrushToolIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpAboutIcon.png
paintdotnet-0.1.63/Resources/Icons/ZoomBlurEffect.png
paintdotnet-0.1.63/Resources/Icons/AddNoiseEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersMoveLayerUpIcon.png
paintdotnet-0.1.63/Resources/Icons/BrightnessAndContrastAdjustment.png
paintdotnet-0.1.63/Resources/Icons/PixelateEffect.png
paintdotnet-0.1.63/Resources/Icons/UnsavedChangesDialog.SaveButton.png
paintdotnet-0.1.63/Resources/Icons/SepiaEffect.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpPdnWebsiteIcon.png
paintdotnet-0.1.63/Resources/Icons/UnfocusEffectIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersDuplicateLayerIcon.png
paintdotnet-0.1.63/Resources/Icons/TextAlignRightIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuEditSelectAllIcon.png
paintdotnet-0.1.63/Resources/Icons/SettingsIcon.png
paintdotnet-0.1.63/Resources/Icons/LinearReflectedGradientIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuEditUndoIcon.png
paintdotnet-0.1.63/Resources/Icons/PlusButtonIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuLayersMoveLayerDownIcon.png
paintdotnet-0.1.63/Resources/Icons/SwatchIcon.png
paintdotnet-0.1.63/Resources/Icons/MenuHelpHelpTopicsIcon.png
paintdotnet-0.1.63/Resources/Icons/MedianEffectIcon.png
paintdotnet-0.1.63/SystemLayer/PropertyItem.png
paintdotnet-0.1.63/Resources.mui/PaintDotNet.Strings.3.KO.resources
paintdotnet-0.1.63/Resources.mui/PaintDotNet.Strings.3.ZH-CN.resources
paintdotnet-0.1.63/Resources.mui/PaintDotNet.Strings.3.DE.resources
paintdotnet-0.1.63/Resources.mui/PaintDotNet.Strings.3.ES.resources
paintdotnet-0.1.63/Resources.mui/PaintDotNet.Strings.3.JA.resources
paintdotnet-0.1.63/Resources.mui/PaintDotNet.Strings.3.PT-BR.resources
paintdotnet-0.1.63/Resources.mui/PaintDotNet.Strings.3.FR.resources
paintdotnet-0.1.63/bin/Debug/PaintDotNet.Strings.3.resources
Comment 9 Orcan Ogetbil 2009-04-27 03:38:57 EDT
Jussi, please calm down.

We are not in a hurry. I am well aware of what is going on with this package. It was brought to my attention before it was submitted here. Of course, it will not be approved until the offending artwork is replaced.

Patience.
Comment 10 Susi Lehtola 2009-04-27 05:37:51 EDT
(In reply to comment #9)
> Jussi, please calm down.
> 
> We are not in a hurry. I am well aware of what is going on with this package.
> It was brought to my attention before it was submitted here. Of course, it will
> not be approved until the offending artwork is replaced.
> 
> Patience.  

I am calm :)
You are the one who asked:

(In reply to comment #5)
> But is there anything else that is nonfree other than what the art team is
> working on? Did you look at the link I gave at all?  

The link only had spot's answer that if the one icon is the only thing that is nonfree the package is OK for inclusion in Fedora. This is clearly not the case.

If someone's ready to replace all those files with free work, then there's no problem. Otherwise this package should go to rpmfusion, where the review process seems to have begun.
Comment 11 Orcan Ogetbil 2009-04-27 11:19:31 EDT
No, I meant this link I gave before:

(From comment #3)
> 
> Request from the Fedora art team to replace the artwork:
> https://fedoraproject.org/wiki/Artwork/DesignService#Paint.NET_icon_replacement
> 

As you can see, the art team is notified about everything that needs to be done. What I asked you was if there is anything else that they need to cover, other than .RESOURCES, .RESX, or .PNG files (to be specific).

And the above page says that work is in progress. So let us wait what comes out. OK?
Comment 12 Susi Lehtola 2009-04-27 11:34:59 EDT
(In reply to comment #11)
> As you can see, the art team is notified about everything that needs to be
> done. What I asked you was if there is anything else that they need to cover,
> other than .RESOURCES, .RESX, or .PNG files (to be specific).
> 
> And the above page says that work is in progress. So let us wait what comes
> out. OK?  

Oh sorry, I thought you were only thinking about the logo.

Everything's fine.
Comment 13 Eric Moret 2009-05-03 23:35:30 EDT
Should now build on x86_64. New files at:
SRPM URL: ftp://ftp.zouric.com/public/linux/paintdotnet/paintdotnet-0.1.63-1.fc10.src.rpm
SPEC URL: ftp://ftp.zouric.com/public/linux/paintdotnet/paintdotnet.spec
Comment 14 Orcan Ogetbil 2009-05-04 15:32:17 EDT
Eric, are you in touch with the art team? Any news on the icons? Are they really producing all these icons just for this software?
Comment 15 Kamin Horvath 2009-05-04 20:00:03 EDT
Hello,

I was the member that took on the request. But I too thought it was only the logo. Since I cannot complete all of them, I have removed myself from the queue. My apologies for any inconvenience caused.
Comment 16 Eric Moret 2009-05-04 20:15:24 EDT
Rather than waiting for a hypothetical resource replacement, could we move forward with the approval process at RPM Fusion?
Comment 17 Andrea Musuruane 2009-05-05 04:59:42 EDT
(In reply to comment #15)
> Hello,
> 
> I was the member that took on the request. But I too thought it was only the
> logo. Since I cannot complete all of them, I have removed myself from the
> queue. My apologies for any inconvenience caused.  

I suggest to create a new logo and to reuse the icons from some icon set we already use. Maybe the default icon set thus the look would be the same.

Bye,

Andrea.
Comment 18 Orcan Ogetbil 2009-06-07 23:33:09 EDT
Well. The package is sent to rpmfusion. Until someone steps forward and does the icon set matching, this cannot go to Fedora.

Closing the bug WONTFIX.

Note You need to log in before you can comment on or make changes to this bug.